Cryolysis
-------------------------------

- Based on Necrosis LdC by Lomig and Nyx (http://necrosis.larmes-cenarius.net)
- Original Necrosis Idea : Infernal (http://www.revolvus.com/games/interface/necrosis/)
- Cryolysis Maintainer : Kaeldra of Aegwynn

- Contact : darklyte@gmail.com
- AIM: Darklyte64
- Send me in-game mail!  Nethaera on Aegwynn, Horde side.
- Guild: <Working as Intended>


===============================
Changelog : 
===============================
== Latest Patch always available at: 
== http://ui.worldofwar.net/ui.php?id=2864
===============================

1.2.7 EFFICIENCY!
---------------------------------------
I didn't log changes, but there are a lot. Things are done more efficiently now.
1.2.6 Stupid bug!  You go squish now!
----------------------------------------
Fixes:
	Mana Ruby color has been normalized
	Cryolysis will no longer become defunked after learning a new spell
	Fixed a problem with polymorph
	AQ Mounts should work perfectly
	At low level, the LeftSpell button will default to frost armor
	At low level, the RightSpell button will default to Arcane Intellect or [b]OFF[/b] if the mage does not know that spell
	Presence of Mind timer should work correctly.
	Memory increase rate reduced significantly.  If you are still experiencing high memory usage, try disabling some features such as the spelltimers
	Unattached Buttons will remember their size
	Various other unnoted fixes

Changes:
	Right-clicking a portal button will skip the portal message if they are enabled
	PolyMC functionality has been removed

Known Issue:
	Initial load seems "wierd."  If you get an error the first time you load, it should go away the next time you load.  If it doesn't, let me know

1.2.5 Size Does Matter.
----------------------------------------
Fixes:
	Spelltimer button will default to on
	Keybind Issue resolved
	Fixed some grammar/spelling issues
	There should no longer be a tooltip error for spellbuttons if you do not have the spell. 'Fear' buttons will, by default, cast Frost armor
	Decursing will no longer change your target randomly
	Removed some debugging messages

Changes:
	The buttons around the sphere are now scaleable and the menu buttons are now scaleable through the Graphical Options Menu.
	The buttons around the sphere are now sortable through the Button Menu.
	Changed the settings for the mana gem as main button. It will now behave in a way that will allow the user to turn off their mana gem button. It will display the status of each gem. When out of combat, the button will conjure the highest rank that you dont have. during combat, it will use a gem based on your settings. Ctrl-Clicking in combat will use a mana gem.
	Slash Command: /cryo reset -- Restores the default configurations
	Slash Command: /cryo polymc -- Searches your party/raid for a target that is mind controlled and sheeps them.
	Added more chat message
	Added chat messages for freezing band. Currently, you cannot easily disable these.
	Added Diminishing returns and adjusted polymorph timing for PvP
	Added Chinese translations, thanks to PDI175 from curse-gaming
	Updated German Translations
	Added 'Blink' as a function for the Main Cryolysis Button
	
Known Issues: 
	The "Polymorph alert" sounds will play at the incorrect time when Polymorphing a PvP target.
	There may be some untranslated text. If you find some, please report it to me with the correct translation
	Learning a new spell throws everything out of wack. Relog, /console reloadui, or /cryo reset should fix this
	There are no images for AQ Mounts. 
	
Possible Issues:
	Since the inventory is not checked on every change, it is possible that incorrect numbers may be shown. If you find an instance where the numbers are incorrect, let me know
	AQ Mounts might not function properly. I have no way of testing this myself :(
	
!IMPORTANT!
	I am looking to expand the chat messages by a great deal. PLEASE PLEASE send me your ideas! I want to hear anything for polymorph, polymorph: pig, polgmorph: turtle, teleports, portals, and steed message. e-mail me at darklyte@gmail.com with what you have!
	If you find another update I forgot to log, please let me know 

1.2.4 Hidden Agenda
-------------------------------------------
Fixes:
	Mana Citrine is now fully functional
	Buff and Portal menus should now always be on top (thanks omegasnow)

Changes:
	Spellbutton spells will no longer become the recast spell of the buff menu
	Anchor for spelltimer button is now toggleable
	Auto-restock has been changed slightly.  There will be no popup if you have enough reagents.  It will also display the number of reagents you have when you speak to a reagent vendor
	Cryolysis will no longer update your item count on every bag change.  Instead, it will check whenever a relative event is fired (eating, drinking, using a gem, casting a teleport/portal).  This means that it may not always be 100% accurate, but it should be!  If you find a discrepency, let me know.
	Added Several (dozen) new chat messages
	Ctrl-clicking a buff spell will cast it on the player (yourself)
	Alt-clicking now has same functionality as Middle clicking

New Function:  
	/cryo coldblock => This function will cast Ice block if available.  It will also cancel ice block if it has been active for at least two seconds (making it spammable and cancellable).  If Ice block is not available, it will cast cold snap
	/cryo poly => This function will randomly cast Polymorph, Polymorph: Pig, or Polymorph: Turtle depending on what is available
	/cryo decurse => Casts Remove Lesser Curse using the cryoylsis decursive function
	/cryo sm => display short raid-ready polymorph and portal messages.  Disables mount messages.
	/cryo recall => Reposition all cryolysis buttons into the middle of the screen

Available Function: /script Nethaera_FrostyBolt(Clearcast);
	This function is made specifically for my troll mage, but I am letting everyone know that you can use it.  It will check to see if the your health is below 60%.  if it is, it will cast Berserking if it is up (you MUST but berserking in action slot 41). If you have clearcasting, it will interrupt casting and cast arcane missiles
How I have my frostybolt macro setup:
/script Nethaera_FrostyBolt(IsBuffActive("Clearcast","player"))
/cast Frostbolt

Known Issues:
	Learning a new spell throws everything out of wack.  Relog, /console reloadui, or /script Cryolysis_SpellSetup(); to fix

Possible Issues:
	Since the inventory is not checked on every change, it is possible that incorrect numbers may be shown.  If you find an instance where the numbers are incorrect, let me know


!!!IMPORTANT!!!
	I am looking to expand the chat messages by a great deal. PLEASE PLEASE send me your ideas!  I want to hear anything for polymorph, polymorph: pig, polgmorph: turtle, teleports, portals, and steed message.  e-mail me at darklyte@gmail.com with what you have!
	If you find another update I forgot to log, please let me know

1.2.3 Look both ways before crossing
-------------------------------------------

Fixes:	
	Fixed the self-targetting issue
	When the option is unchecked, Conjured items will never be sorted.
	No mo mounts errors
	

Changes:
	Added two additional buttons around the sphere, next to evocation.  You can set these buttons to cast anything in the buff menu.  More options will be added later.
	Added mana shield and ice barrier to the buff menu.
	Added more keybindings for the new functions.
	Default Sphere color changed to blue.
	Menu anchor points are now adjustable between values of -50 and 50 (default 26)
	Reformatted decursive line.  It is now more straight-to-the-point


Known Issues:
	If you cast a buff spell while moving, you'll get "You can't do that while moving!" but the buff will still cast.  this is becuase an attempt to cast a buff spell causes you to stand
	When mana citrine is your highest rank gem, it will not work.  High priority issue

1.2.2 [This space for rent]
------------------------------------------

Fixes:
	Rewrote logic for chat messages.  There should be no errors now
	Updated the logic for Winter's Chill and Fire Vulnerability
	Updated German translations

Changes:
	New options for center sphere display: Curren HP, HP%, Current MP, MP%, and Mana gem cooldown
	New options for circle display: Mana gem, and the return of "none"
	Text-on-Buttons is completely customizable (See the button menu for options)
	A recharge time displayed on the circle (mana gem, evocation) will count upwards instead down
	Right-clicking the mount button will now use hearthstone
	The Remove lesser curse button is now decursive.  It will now search your party/raid for curses
		- If you are targetting something, it will check them for a curse first.  It will then check to see if you have a curse on yourself.  Afterwards, it will go through your group (in order) looking for a curse to remove.  If it finds one, it will attempt to remove it and stop searching
		- This effect is accessible through /script Cryolysis_Decursive();

Known Issues:
	Something is up with Mana Citrines.  Please help me test it, since I don't have that spell yet :(

1.2.1 Button, button, who's got the button?
-------------------------------------------

Fixes:
	German mana gem button?  work please?  please?
	The mana gem button has been normalized.
	Fixed ShortMessages.  They will no longer display if the chat options are not checked
Changes:
	Food and drink buttons will grey out while the player is in combat
	Right-clicking the Buff menu or portal menu will recast the last spell
	Middle-clicking the buff menu or portal menu will keep the menu open
	HP can now be set as a display on the outer circle of the main sphere.
	Added some random speeches, thanks to Alia

Possible Issue:
	I had to rename several dozen variables; the ones that counted various items.  If you notice an anomaly with any of the counting features, let me know.

Known Issue:

1.2.0 Repeated poking may cause explosions.
---------------------------------------------------

Fixes:
	Fixed Mount Messages
	Fixed Mount Icons... you people need to tell me these things
	French Localization!
	Added Reagent counts on button option (Button menu)
	Added Blue Skeletal Horse and Blue Skeletal Warhorse
	Fixed .toc AGAIN AGAIN AGAIN
	German localization upgrades.  Still need translations
	Skipping Issue solved.
	"Random speech" on/off checkbox fixed
	Fixed Frost nova cooldown
	Fixed Cinnamon Rolls for German client
	Updated toc
	Fixed a syntax error
	Fixed the chill duration for frostbolt above rank 7
	Fixed Winter's Chill and Fire Vulnerability registration (see possible issues)
	Polymorph timer should always be accurate.

Changes:
	Added audio warning for polymorph breaking
	Added advanced audio warning for polymorph breaking
	Random speeches are now available for Polymorph
	Random speeches are now available for Portals
	Random speeches are now available for Steeds
	All random speeches are customizable
	Added Frostbite to the spelltimers
	Added an option to configure the function of the main button
	Added an option to cast polymorph with main button
	Added an option to cast evocation with the main button
	Main button can now display evocation cooldown
	
Known Issues:
	Your configured settings will be reset.  This is intentional.  The configurations must be set to default in order to ensure a "clean boot."
	There is a CRYOLYSIS_MESSAGE error when the mod first loads.  Please ignore :(
	I require a lot of additional translations for german client.  Many of the new features may not work properly
	Manastone for german client is still not functional.  My apologies
		
Possible Issues:
	If the spell effects are "Winter's Chill (3)" or "Fire Vulnerability (4)" then they won't register properly

1.1.3 Patches - We don't need no stinking Patches!
---------------------------------------------------

Fixes:
	Mount button is fully functional
	Added option to auto-open buff menu on mouse over.  Default: Off
Changes:
	Changed around the mount icons

1.1.3 - Riders of the storm
-------------------------------

Fixes:
	Conjure Water mana cost corrected
	Arcane Brilliance mana cost corrected
	Many, many, many fixes with german localization
	Streamlined BagExplore() a bit.

Changes:
	Mount button activated.  Omg!
	Added code for Improved Scorch and Winter's Chill
	Buff Menu will open on mouse-over.  An option to toggle this will be added soon
	Removed Left-click-to-conjure for gems

1.1.2 - The Flordia Keys
-------------------------------

Fixes:
	Fixed Conjured Sparkling Water
	Fixed Portal: orgrimmar highlight texture

Changes:
	Added keybinding for the cryolysis sphere and all the buttons that surround it
	Arcane Intellect will now cast the appropriate level for your target

Known Issues:
	No Change

Possible issues:
	No change


1.1.1b - Can't spell Combustion without...
-------------------------------

Fixes:
	Hopefully fixed the combustion cooldown timer

Changes:
	No changes

Known Issues:
	No new known issues

Possible issues:
	No idea if combustion works.
	Please review previous possible issues.  I have not
	  recieved any reports about them yet.

1.1.1 - ERROR'D!
-------------------------------

Fixes: 
	Fix a line 1061 Eror
	Fixed Polymorph: Pig duration indicator

Changes:
	Added Polymorph: Turtle

Known Issues:
	No new known issues

Possible Issues:
	No new possible issues

1.1.0 - Conjuring Expanded
-------------------------------

Fixes:
	Fixed an Issue with Remove Lesser Curse showing up for mages that did
	  not have the spell

Changes:
	Drink Button
	  - Left-click:  No change
	  - Right-click: If targetting a friendly player, will conjure water
			 that they can use.
	  - Middle-click:If targetting a friendly player, will initiate trade
			 of the last conjured drink.  Additional clicks will
			 add additional stacks to the trade
	Food Button
	  - Same functionality as drink button

	Provision Sorting:
	  - When you conjure a different rank of food/drink, it will be sorted
	    to your selected bag if you have that option enabled.

Known Issues:
	Mount Button is not functional yet.

Possible issues:
	Some reports that polymorph timer always says 50 seconds.
	Multiple mana gems have not been tested.  If you have any problems, please
	  Contact me

1.0.1c - Alliance Portal Fix
-------------------------------

Fixes:
	Hopefully fixed the problems alliance members have been having with portal menu
	Fixed the error loading if the mage did not have a food or drink spell
	Portal: Orgrimmar should now be showing up to the appropriate characters
Changes:
	No Changes
Known Issues:
	Mount Button is not functional yet.
Possible issues:
	Some reports that polymorph timer always says 50 seconds.
	Multiple mana gems have not been tested.  If you have any problems, please
	  Contact me

1.0.0 - Initial Release
-------------------------------
Fixes:
	No Fixes
Changes:
	No changes
Known Issues:
	Mount Button is not functional yet.
Possible Issues: 
	Some reports that polymorph timer always says 50 seconds.
	Multiple mana gems have not been tested.  If you have any problems, please
	  Contact me
